
QGIS Application - Bug report #15706

"Import Vector into PostGIS database" tool does not honour libpq defults

2016-10-14 01:50 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.14.7 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23629

Description

I have connection with unspecified host/user to rely on libpq defaults (including env variables).

Using "Import Vector into PostGIS database" tool forces "host= user=" in the URI string, effectively setting them to EMPTY instead of

using the environment variable, with the effect of a failed import.

This was already fixed for DBManager (for an example implementation). See #9037

Associated revisions

Revision be3e807d - 2016-10-15 10:44 AM - Sandro Santilli

[processing] Allow using libpq defaults for host,port,user,pass and dbname

Fixes #15706

Revision 640e10b5 - 2016-10-18 11:50 AM - Sandro Santilli

[processing] Allow using libpq defaults for host,port,user,pass and dbname

Fixes #15706

Includes tests

Revision d63222e6 - 2016-10-18 03:55 PM - Sandro Santilli

[processing] Allow using libpq defaults for host,port,user,pass and dbname

Fixes #15706

History

#1 - 2016-10-14 04:08 AM - Victor Olaya

Sandro

i made this PR with changes and assigned it to you

https://github.com/qgis/QGIS/pull/3604
Feel free to merge it and close this ticket

#2 - 2016-10-15 12:38 AM - Sandro Santilli

- Affected QGIS version changed from 2.16.3 to 2.14.6

2.14.7 is also affected (NOTE: "2.14.7" is missing from "Affected version" list)

#3 - 2016-10-15 12:46 AM - Sandro Santilli

- % Done changed from 0 to 30

- Status changed from Open to In Progress

#4 - 2016-10-15 01:09 AM - Sandro Santilli

I made another PR which completely avoids adding any default: https://github.com/qgis/QGIS/pull/3607

#5 - 2016-10-16 11:02 PM - Sandro Santilli

- Status changed from In Progress to Closed

Fixed in changeset commit:"be3e807d0f0e7a9099f7ff48ca02855583c1d841".

#6 - 2016-10-17 02:08 AM - Jürgen Fischer

- Affected QGIS version changed from 2.14.6 to 2.14.7
